package intrinsic.flash.utils;

public interface IDataOutput {

	/** Accessors */
//	public int objectEncoding;
//	public String endian;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void writeBoolean(boolean arg0);
public void writeMultiByte(String arg0, String arg1);
public void writeFloat(double arg0);
public void writeUTFBytes(String arg0);
public void writeBytes(intrinsic.flash.utils.ByteArray arg0);
public void writeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public void writeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public void writeShort(int arg0);
public void writeInt(int arg0);
public void writeByte(int arg0);
public void writeDouble(double arg0);
public void writeUnsignedInt(int arg0);
public void writeUTF(String arg0);
public void writeObject(Object arg0);

}
